"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const factory = require("../../core/factory/factory.cjs");
const ModalBaseBody = require("../ModalBase/ModalBaseBody.cjs");
const Modal_context = require("./Modal.context.cjs");
const Modal_module_css = require("./Modal.module.css.cjs");
const defaultProps = {};
const ModalBody = factory.factory((_props, ref) => {
  const props = useProps.useProps("ModalBody", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = Modal_context.useModalContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    ModalBaseBody.ModalBaseBody,
    {
      ref,
      ...ctx.getStyles("body", { classNames, style, styles, className }),
      ...others
    }
  );
});
ModalBody.classes = Modal_module_css.default;
ModalBody.displayName = "@mantine/core/ModalBody";
exports.ModalBody = ModalBody;
